/*
 * Copyright (C) 2003-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.cms.ui;

import com.arsdigita.bebop.Component;
import com.arsdigita.bebop.SingleSelectionModel;
import com.arsdigita.bebop.list.ListModelBuilder;
import com.arsdigita.bebop.tree.TreeModelBuilder;
import com.arsdigita.cms.util.GlobalizationUtil;
import com.arsdigita.cms.util.SecurityConstants;
import com.arsdigita.globalization.GlobalizedMessage;
import com.arsdigita.toolbox.ui.SelectionPanel;
import org.apache.log4j.Logger;

/**
 * A base component for use in CMS admin panes.
 *
 * @author Justin Ross &lt;jross@redhat.com&gt;
 * @version $Id: //cms/dev/src/com/arsdigita/cms/ui/BaseAdminPane.java#11 $
 */
public abstract class BaseAdminPane extends SelectionPanel
        implements SecurityConstants {
    public static final String versionId =
        "$Id: //cms/dev/src/com/arsdigita/cms/ui/BaseAdminPane.java#11 $" +
        "$Author: dennis $" +
        "$DateTime: 2004/04/07 16:07:11 $";

    private static final Logger s_log = Logger.getLogger
        (BaseAdminPane.class);

    protected BaseAdminPane() {
        super();
    }

    protected BaseAdminPane(final Component title,
                            final Component selector) {
        super(title, selector);
    }

    protected BaseAdminPane(final GlobalizedMessage title,
                            final Component selector) {
        super(title, selector);
    }

    protected BaseAdminPane(final Component title,
                            final Component selector,
                            final SingleSelectionModel model) {
        super(title, selector, model);
    }

    protected BaseAdminPane(final GlobalizedMessage title,
                            final Component selector,
                            final SingleSelectionModel model) {
        super(title, selector, model);
    }

    protected BaseAdminPane(final Component title,
                            final ListModelBuilder builder) {
        super(title, builder);
    }

    protected BaseAdminPane(final GlobalizedMessage title,
                            final ListModelBuilder builder) {
        super(title, builder);
    }

    protected BaseAdminPane(final Component title,
                            final TreeModelBuilder builder) {
        super(title, builder);
    }

    protected BaseAdminPane(final GlobalizedMessage title,
                            final TreeModelBuilder builder) {
        super(title, builder);
    }

    protected final static GlobalizedMessage gz(final String key) {
        return GlobalizationUtil.globalize(key);
    }

    protected final static String lz(final String key) {
        return (String) gz(key).localize();
    }
}
